;SQL UDF
#cs
# # # # # # # # # # # # # # #
#							#
# Microsoft SQL Function	#
# Written by Aiden			#
# Version 0.1 Beta			#
#							#
# # # # # # # # # # # # # # #
#ce

#cs
Name der Funktion: _SQLCon
Beschreibung: Stellt eine Verbindung zu einem Microsoft SQL Server her.
Beispiel: $sql = _SQLCon(127.0.0.1, user, pass, MyDB)
#ce

Func _SQLCon($scIP, $scUser, $scPass, $scDB)
$sqlCon = ObjCreate("ADODB.Connection")
	$sqlCon.Open("Provider=SQLOLEDB; Data Source=" & $scIP & "; User ID=" & $scUser & "; Password=" & $scPass & "; database=" & $scDB & ";")
Return $sqlCon
EndFunc

#cs
Name der Funktion: _SQLQuery
Beschreibung: Setzt eine Abfrage an eine Datenbank des Microsoft SQL Servers ab.
Beispiel: _SQLQuery($sql, "INSERT INTO (id, name, age) VALUES (1, admin, 55)")
#ce

Func _SQLQuery($iSQLCon, $iQuery)
If IsObj($iSQLCon) Then
	Return $iSQLCon.execute($iQuery)
EndIf
EndFunc

#cs
Name der Funktion: _SQLEnd
Beschreibung: Beendet die Verbindung zum Microsoft SQL Server
Beispiel: _SQLEnd()
#ce

Func _SQLEnd($sqlCon)
If IsObj($sqlCon) Then
	$sqlCon.close
EndIf
EndFunc